Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.transaction
Class Axis2UserTransaction

    java.lang.Object
      org.apache.axis2.transaction.Axis2UserTransaction

All Implemented Interfaces:
  javax.transaction.UserTransaction

    public class Axis2UserTransaction

extends java.lang.Object
implements javax.transaction.UserTransaction

Constructor Summary
`Axis2UserTransaction(javax.transaction.TransactionManager transactionManager)`

Method Summary
`void` | `begin()`
`void` | `commit()`
`int` | `getStatus()`
`void` | `rollback()`
`void` | `setRollbackOnly()`
`void` | `setTransactionTimeout(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Axis2UserTransaction

    public Axis2UserTransaction(javax.transaction.TransactionManager transactionManager)

Method Detail

### begin

    public void begin()
               throws javax.transaction.NotSupportedException,
                      javax.transaction.SystemException

  Specified by:
    `begin` in interface `javax.transaction.UserTransaction`
  Throws:
    `javax.transaction.NotSupportedException`
    `javax.transaction.SystemException`

### commit

    public void commit()
                throws javax.transaction.HeuristicMixedException,
                       javax.transaction.HeuristicRollbackException,
                       java.lang.IllegalStateException,
                       javax.transaction.RollbackException,
                       java.lang.SecurityException,
                       javax.transaction.SystemException

  Specified by:
    `commit` in interface `javax.transaction.UserTransaction`
  Throws:
    `javax.transaction.HeuristicMixedException`
    `javax.transaction.HeuristicRollbackException`
    `java.lang.IllegalStateException`
    `javax.transaction.RollbackException`
    `java.lang.SecurityException`
    `javax.transaction.SystemException`

### getStatus

    public int getStatus()
                  throws javax.transaction.SystemException

  Specified by:
    `getStatus` in interface `javax.transaction.UserTransaction`
  Throws:
    `javax.transaction.SystemException`

### rollback

    public void rollback()
                  throws java.lang.IllegalStateException,
                         java.lang.SecurityException,
                         javax.transaction.SystemException

  Specified by:
    `rollback` in interface `javax.transaction.UserTransaction`
  Throws:
    `java.lang.IllegalStateException`
    `java.lang.SecurityException`
    `javax.transaction.SystemException`

### setRollbackOnly

    public void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                javax.transaction.SystemException

  Specified by:
    `setRollbackOnly` in interface `javax.transaction.UserTransaction`
  Throws:
    `java.lang.IllegalStateException`
    `javax.transaction.SystemException`

### setTransactionTimeout

    public void setTransactionTimeout(int i)
                               throws javax.transaction.SystemException

  Specified by:
    `setTransactionTimeout` in interface `javax.transaction.UserTransaction`
  Throws:
    `javax.transaction.SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.